%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           fontypython
Version:        0.2.0
Release:        6%{?dist}
Summary:        TTF font manager

Group:          Applications/Multimedia
License:        GPL
URL:            https://savannah.nongnu.org/projects/fontypython/
Source0:        http://download.savannah.nongnu.org/releases/fontypython/%{name}-%{version}.tar.gz
Source1:        %{name}.desktop
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-devel, wxPython, python-imaging, desktop-file-utils
Requires:       wxPython, python-imaging

%description
Manage your ttf fonts on Gnu/Linux with Fonty Python.
    
You can collect any fonts together (even ones not in your system font folders)
into 'pogs' and then install and remove the pogs as you need them.
    
In this way you can control what fonts are in your user font folder, thus
avoiding long lists of fonts in the font chooser dialogues of your apps.



%prep
%setup -q


%build
python setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
desktop-file-install --vendor="fedora"                          \
        --dir=${RPM_BUILD_ROOT}%{_datadir}/applications         \
        %{SOURCE1}
mkdir ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/
cp -p fontypython/things/fplogo.png ${RPM_BUILD_ROOT}%{_datadir}/pixmaps
mv ${RPM_BUILD_ROOT}%{_bindir}/fp ${RPM_BUILD_ROOT}%{_bindir}/fontypython

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_bindir}/fontypython
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/pixmaps/fplogo.png
%doc README COPYING 

%{python_sitelib}/*

%changelog
* Tue Dec 20 2006 Chris Mohler <cr33dog@gmail.com> 0.2.0-6
- updated .desktop file - added correct executable name

* Mon Dec 19 2006 Chris Mohler <cr33dog@gmail.com> 0.2.0-5
- Renamed executable 'fp' to 'fontypython' to resolve bug #220046

* Thu Dec 14 2006 Chris Mohler <cr33dog@gmail.com> 0.2.0-4
- Corrected Source0 to include URL
- removed python >= 2.4 from Requires
 
* Tue Dec 12 2006 Chris Mohler <cr33dog@gmail.com> 0.2.0-3
- removed rpmdevtools from BuildRequires
- added python >= 2.4, wxPython, python-imaging to Requires
- removed 'Application;' from .desktop file
- shortened line length of description

* Mon Dec 11 2006 Chris Mohler <cr33dog@gmail.com> 0.2.0-2
- Added wxPython, python-imaging to build requires
- Removed copyright notice from description

* Sat Dec 09 2006 Chris Mohler <cr33dog@gmail.com> 0.2.0-1
- Created spec file
- Prepared RPM for Fedora Extras
